
Redmine - Defect #7251

Inside issue I see placeholders instead of their values;

2011-01-08 18:36 - Dmitry Sushkov

Status: Closed Start date: 2011-01-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After some server updates, performed by admins I see placeholders instead of values inside issues. It looks like {{author}} {{age}}

etc.

After updates we have folowing versions:

rubygem-passenger-3.0.2/

ruby+nopthreads-1.8.7.302,1/

ruby18-gems-1.3.7/

rubygem-daemon_controller-0.2.5/

rubygem-fastthread-1.0.7/

rubygem-file-tail-1.0.5/

rubygem-rack-1.2.1,2/

rubygem-rake-0.8.7/

rubygem-spruz-0.2.2/

ruby18-rmagick-2.13.1_1/

ruby18-mysql-2.8.2/

ruby18-bdb-0.6.5_1/

ruby18-iconv-1.8.7.302,1/

rubygem-rails-3.0.3/

rubygem-abstract-1.0.0_1/

rubygem-actionmailer-3.0.3/

rubygem-actionpack-3.0.3/

rubygem-activemodel-3.0.3/

rubygem-activerecord-3.0.3/

rubygem-activeresource-3.0.3/

rubygem-activesupport-3.0.3/

rubygem-arel-2.0.6/

rubygem-builder-2.1.2/

rubygem-bundler-1.0.7/

rubygem-erubis-2.6.6/

rubygem-i18n-0.5.0,1/

rubygem-mail-2.2.12/

rubygem-mime-types-1.16/

rubygem-polyglot-0.3.1/

rubygem-rack-mount-0.6.13/

rubygem-rack-test-0.5.6/

rubygem-railties-3.0.3/

rubygem-thor-0.14.6/

rubygem-treetop-1.4.9/

rubygem-tzinfo-0.3.23/

rubygem-thin-1.2.7_1/

rubygem-daemons-1.1.0/

rubygem-eventmachine-0.12.10/

And server was changed to nginx...

History

#1 - 2011-01-08 18:39 - Dmitry Sushkov

Redmine itself was upgraded from version 1.0.4 to 1.0.5
#2 - 2011-01-08 21:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 1.0.5 won't start without i18n 0.4.2 gem installed and there is no longer locales with the old syntax {{key}}. Make sure you have properly

upgraded.

#3 - 2011-01-09 00:15 - Dmitry Sushkov

- Status changed from Closed to Reopened

All stuff was installed from FreeBSD ports. I just checked latest 1.0.5 stable redmine svn and there are {{placeholder}} sintax lines in locales.

#4 - 2011-01-09 05:09 - Dmitry Sushkov

It affects only issue page. All other pages looks normally.

#5 - 2011-01-09 17:57 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Dmitry Sushkov wrote:

All stuff was installed from FreeBSD ports. I just checked latest 1.0.5 stable redmine svn and there are {{placeholder}} sintax lines in locales.

 Then you should probably report this problem to the team in charge of this packaging. Please, understand that I have to way to fix this package.

#6 - 2011-01-11 11:45 - Anonymous

Speaking as the FreeBSD port maintainer for redmine.

The problem is that redmine requires specific versions of dependencies for rack, i18n, ruby and others. In the FreeBSD ports tree (and in every Linux

package system i think it's the same) you cannot do that without causing a lot of troubles. I would really like to know how all the Linux distros solve

that.

If you really need that specific versions why can't you just include each and every piece of dependency so that redmine is completely standalone? Or

preferrably do it the other way around and provide some compatibility to also work with up-to-date versions.

Installing specific rubygems for all dependencies like you suggest in the Install guide is possible for end users but not a good solution for a package

repository. We would need to provide gems for each and every version for all gems and that duplicates a lot of work.

Powered by TCPDF (www.tcpdf.org)

2025-05-04 2/2

http://www.tcpdf.org

